using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface IProductLogic
    {
        List<ProductViewModel>? ReadList(ProductSearchModel? model);
        ProductViewModel? ReadElement(ProductSearchModel model);
        bool Create(ProductBindingModel model);
        bool Update(ProductBindingModel model);
        bool Delete(ProductBindingModel model);
    }
}
